This forum is in READ-ONLY mode.
You can look around, but if you want to ask a new question, please use Stack Overflow.

Composer Install Fails - ERR_DOWNLOAD

Discuss installing Symfony 2 here

Composer Install Fails - ERR_DOWNLOAD

by fearless359 » Thu Aug 15, 2013 6:18 pm

I am using WAMP with PHP version 5.4.16 and am trying to install Symfony 2. Per instructions, I downloaded Composer (file version 2.7.0.0) and started it as Administrator. I have put it in the WAMP www directory so it would be in a directory that is in my PATH in case that matters. The composer.phar file is also there. It finds my version of php.exe, checks and reports the settings for PHP version 5.4.16. I then click "Install" and after a couple of seconds I get the "An error occurred" window reporting, "Composer Error [ERR_DOWNLOAD]: Composer was not downloaded".

I have searched with google and then this board and have not found any reporting of this issue, nor a solution. I also have not found a manual that explains error messages such as ERR_DOWNLOAD.

I am connected to internet and have more than enough download speed. Also, I am on windows 8.
fearless359
Junior Member
 
Posts: 2
Joined: Wed Aug 14, 2013 11:12 pm

Re: Composer Install Fails - ERR_DOWNLOAD

by tiagojsag » Thu Aug 15, 2013 6:42 pm

Hi,

I don't understand what you mean by "click install". The normal installation instructions are to use the terminal, cd to the symfony folder, where you should also have the composer.json and composer.phar files, and type in: php composer.phar install
AFAIK there's no clicking involved :S

can you make sure you are following the correct steps, or provide more detail, please?

cheers
Tiago Garcia
@tiagojsag

Core Web Developer @ Shopware
http://www.shopware.de
User avatar
tiagojsag
Faithful Member
 
Posts: 885
Joined: Wed Aug 10, 2011 4:58 pm

Re: Composer Install Fails - ERR_DOWNLOAD

by fearless359 » Fri Aug 16, 2013 12:54 am

By "click install" I am referring to the "Install" button that is on the dialog box at the point I am referring to. This is the point at which it begins actually performing the installation; all previous actions we verification of php version, etc.

However, that said, I did resolve this issue. The problem is that I did not have the php_openssl.dll extension enabled (uncommented in php.ini).

So now I am on to my next conundrum. I was able to get the composer installation to complete with the composer.phar file downloaded. Next, per instructions, I set up a composer.json with the following content:

{
"require": {
"monolog/monolog": "1.0.*"
}
}

This is what the basics doc for composer. I then run, "php composer.phar install" and get the following:

Loading composer repositories with package information Installing dependencies (including require-dev)

[Composer\Downloader\TransportException]
The
http://packagist.org/p/monolog/monolog$10278062a4e89dc4f1329d92579b0a8ad77fdec5f4b867335e7e8f152395ee46.json

file could not be downloaded: send of 103 bytes failed with errno=10053 An established connection was aborted by the software in your host machine.

send of 21 bytes failed with errno=10053 An established connection was aborted by the software in your host machine.
send of 80 bytes failed with errno=10053 An established connection was aborted by the software in your host machine.
send of 2 bytes failed with errno=10053 An established connection was aborted by the software in your host machine.
send of 2 bytes failed with errno=10053 An established connection was aborted by the software in your host machine.
failed to open stream: HTTP request failed!

install [--prefer-source] [--prefer-dist] [--dry-run] [--dev] [--no-dev] [--no-custom-installers] [--no-scripts] [--no-progress] [-v|vv|vvv|--verbose] [-o|--optimize-autoloader]


Any help with this latest issue would be most appreciated.
fearless359
Junior Member
 
Posts: 2
Joined: Wed Aug 14, 2013 11:12 pm